QwtScaleTransformation(3)

NAME
QwtScaleTransformation -

SYNOPSIS

Detailed Description

Operations for linear or logarithmic (base 10) transformations.

Definition at line 19 of file qwt_scale_map.h.

  Public Types
enum Type { Linear, Log10, Other }

  Public Member Functions
QwtScaleTransformation (Type type)
virtual ~QwtScaleTransformation ()
virtual double xForm (double x, double s1, double s2, double p1, double p2) const
virtual double invXForm (double x, double s1, double s2, double p1, double p2) const
Type type () const
virtual QwtScaleTransformation * copy () const

Constructor & Destructor Documentation

  QwtScaleTransformation::QwtScaleTransformation (Type type)

Constructor for a linear transformation.

Definition at line 16 of file qwt_scale_map.cpp.

References QwtScaleTransformation().

Referenced by QwtScaleTransformation().

Member Function Documentation

  double QwtScaleTransformation::invXForm (double p, double p1, double p2, double s1, double s2) const [virtual]

Transform a value from a linear to a logarithmic interval.

Parameters:
    x value related to the linear interval [p1, p2]
    p1 first border of linear interval
    p2 first border of linear interval
    s1 first border of logarithmic interval
    s2 first border of logarithmic interval

Returns:

    exp((x - p1) / (p2 - p1) * log(s2 / s1)) * s1;

Definition at line 70 of file qwt_scale_map.cpp.

Referenced by QwtScaleMap::invTransform().

  double QwtScaleTransformation::xForm (double s, double s1, double s2, double p1, double p2) const [virtual]

Transform a value between 2 linear intervals.

Parameters:
    x value related to the interval [x1, x2]
    x1 first border of source interval
    x2 first border of source interval
    y1 first border of target interval
    y2 first border of target interval

Returns:

    linear mapping:
        y1 + (y2 - y1) / (x2 - x1) * (x - x1)

    log10 mapping:
        p1 + (p2 - p1) / log(s2 / s1) * log(x / s1)

Definition at line 47 of file qwt_scale_map.cpp.

Referenced by QwtScaleMap::xTransform().

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.